# -----------------------------------------------------------------------
# Copyright (C) 2019-2022, EyeLogic GmbH
#
# Permission is hereby granted, free of charge, to any person or
# organization obtaining a copy of the software and accompanying
# documentation covered by this license (the "Software") to use,
# reproduce, display, distribute, execute, and transmit the Software,
# and to prepare derivative works of the Software, and to permit
# third-parties to whom the Software is furnished to do so.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
# NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR ANYONE
# DISTRIBUTING THE SOFTWARE BE LIABLE FOR ANY DAMAGES OR OTHER
# LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT
# OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
# -----------------------------------------------------------------------

scenario = "Example01";
no_logfile = true;
active_buttons = 1;
button_codes = 1;
default_font_size = 30;
default_font = "Arial";
default_background_color = 210, 210, 210;


# pcl file name
pcl_file = "Example01.pcl";

begin;

# predefined resolution
$displaydevice_width = 2560;
$displaydevice_height = 1440;
$focusmap_diameter = 300;

bitmap{
	filename = "focusmap.jpg"; 
	width = $focusmap_diameter; 
	height = $focusmap_diameter;
}focusMap;

texture{
	filename = ""; 
	preload = false; 
}imageTexture;

plane{ 
	width = $displaydevice_width; 
	height = $displaydevice_height; 
	emissive = 1.0, 1.0, 1.0; 
	mesh_texture = imageTexture;
}planeTexture;

bitmap{
	filename = ""; 
	preload = false; 
}imageBitmapGray;

trial {
	trial_duration = forever;
	trial_type = specific_response;
	terminator_button = 1;
	picture{
		plane planeTexture;
		x = 0;
		y = 0;
		z = 0;
		bitmap imageBitmapGray;
		x = 0;
		y = 0;
	}pictureFocusMap;
}trialFocusMap;

